<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('sponsors', function (Blueprint $blueprint) {
            $blueprint->id('id_sponsor');
            $blueprint->string('nombre', 100);
            $blueprint->string('imagen', 255);
            $blueprint->string('url', 255)->nullable();
            $blueprint->boolean('activo')->default(true);
            $blueprint->integer('orden')->default(0);
            $blueprint->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('sponsors');
    }
};
